LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCustomShapeEngine Interface Reference

The XCustomShapeEngine. More...

`import"XCustomShapeEngine.idl";`

Inheritance diagram for XCustomShapeEngine:

## Public Member Functions
com::sun::star::drawing::XShape | render ()
com::sun::star::awt::Rectangle | getTextBounds ()
com::sun::star::drawing::PolyPolygonBezierCoords | getLineGeometry ()
sequence< com::sun::star::drawing::XCustomShapeHandle > | getInteraction ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The XCustomShapeEngine.

## Member Function Documentation

## ◆ getInteraction()

sequence< com::sun::star::drawing::XCustomShapeHandle > getInteraction | ( |  | ) |

Returns
  a collection of interaction handles

## ◆ getLineGeometry()

com::sun::star::drawing::PolyPolygonBezierCoords getLineGeometry | ( |  | ) |

Returns
  the line geometry of the object

## ◆ getTextBounds()

com::sun::star::awt::Rectangle getTextBounds | ( |  | ) |

Returns
  the text bound of the shape

## ◆ render()

com::sun::star::drawing::XShape render | ( |  | ) |

Returns
  the shape that is representing the CustomShape

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XCustomShapeEngine.idl